# Class: YARD::Parser::Ruby::Legacy::RubyToken::TkUnknownChar

Inherits:
  Token
  - Object
  - Token
  - YARD::Parser::Ruby::Legacy::RubyToken::TkUnknownChar
  show all

Defined in:
  lib/yard/parser/ruby/legacy/ruby_lex.rb

## Instance Attribute Summary collapse

- #name ⇒ Object readonly

  Returns the value of attribute name.

## Instance Method Summary collapse

- #initialize(line_no, char_no, _id) ⇒ TkUnknownChar constructor

  A new instance of TkUnknownChar.

## Constructor Details

### #initialize(line_no, char_no, _id) ⇒ `TkUnknownChar`

Returns a new instance of TkUnknownChar.

    108
    109
    110
    111

    # File 'lib/yard/parser/ruby/legacy/ruby_lex.rb', line 108

    def initialize(line_no, char_no, _id)
      super(line_no, char_no)
      @name = char_no > 255 ? '?' : char_no.chr
    end

## Instance Attribute Details

### #name ⇒ `Object` (readonly)

Returns the value of attribute name.

    112
    113
    114

    # File 'lib/yard/parser/ruby/legacy/ruby_lex.rb', line 112

    def name
      @name
    end